Importing survey data with status: some features aren't displayed

14/03/2019 12:37 - Philippe May

Status: Closed Start date: 14/03/2019

Priority: Normal Due date:  

Assignee: Pavneet Kaur % Done: 0%

Category:  Estimated time: 0.00 hour
Description

Pavneet reported that some features aren't displayed on the map after being imported.

It's most probably related to the status field (#6649, #7735).

Creating this ticket first for investigation, then the title might change to reflect the root cause of this issue.

Related issues:

Related to Gisaf - Bug #6649: Shapefile basket: no sign of status Closed 18/09/2018

Related to Gisaf - Support #7735: Status as none value Closed 21/02/2019

Associated revisions

Revision 6d59778a - 14/03/2019 15:41 - Philippe May

Refs #7906: add the status when auto-importing points for project

Revision 03019a1f - 14/03/2019 15:56 - Philippe May

Refs #7906: add the status when auto-importing points for project

History

#1 - 14/03/2019 12:37 - Philippe May

- Related to Bug #6649: Shapefile basket: no sign of status added

#2 - 14/03/2019 12:37 - Philippe May

- Related to Support #7735: Status as none value added

#3 - 14/03/2019 12:38 - Philippe May

- Status changed from New to In Progress

#4 - 14/03/2019 12:48 - Philippe May

I took the example of a survey point for water tap:

in the basket: WATER_PROJECT/RZ/AVSM/TS/RZ-2019-02-05-TS.txt

original id: 220435

category: P33 (V-WMNG-TAP-------E)

id: 1515603512

I found it in the database, the only problem is that the status is not set in the avsm_survey."V_WMNG_TAP-" table. Note that the status is correctly in

the "RAW_V_WMNG_TAP-" table.

Setting it manually in the database (eg. with QGIS), and it appears on the map. So, the problem is narrowed to: the status isn't set correctly when

points are imported (through project).
#5 - 14/03/2019 15:53 - Philippe May

- Assignee set to Pavneet Kaur

Found the bug. Re-imported project RZ, and checked with the taps (P33, ): many more appear on the map.

I think that all point features are fixed for the RZ project.

So, back to you Pavneet: eventually, just "auto-import" points for other projects too, ie for IZ, and close the ticket.

#6 - 15/03/2019 14:36 - Pavneet Kaur

- Status changed from In Progress to Closed
